document.addEventListener("plusready", function(){
	
	var userType = $.getItem("userType");
	if(userType == 1){ 
		$(".footer").show();  
	} else{
		$("#wrapper").css("bottom", "0px");
	}
	
	var curWebView = plus.webview.currentWebview();
	var carSourceId = curWebView.carSourceId;
	var params = {};
	params.carSourceId = carSourceId;
	var url = base.api_carSource_findCarSourceDetail;
	$.getAjax(url, params, null, function(result){
		var data = result.data; 
		if(data != null){  
			$(".begin-area-name").text(data.begin_area_name);
			if($.validateEmpty(data.channel_name)){
				$(".road-area").hide();
			} else{
				$(".channel-area-name").text(data.channel_name);
			}
			
			$(".end-area-name").text(data.end_area_name);
			$(".loading-time").text(data.loading_time);
			$(".send-type-name").text(data.send_type_name);
			$(".car-type-name").text(data.car_type_name);
			$(".car-length").text(data.car_length + "米"); 
			$(".weight").text(data.weight + "吨");
			$(".create-time").text(data.create_time);
			if(!$.validateEmpty(data.remarks)){  
				$(".remarks").text(data.remarks);	 
			}
			$(".enterprise-user-name").text(data.real_name);
			$(".user-head").attr("src", imgBaseURL + data.user_head);
			$(".offer").data("status", data.status);
			if(carSourceStatus.PendingOrder.value == data.status){
				//待接单 
				$(".status-icon").attr("src", "../../images/status/PendingOrder.png");
			} else{
				$(".status-icon").attr("src", "../../images/status/PendingOrdered.png");
			}
			if(data.collection_status == 0){
				$(".collection").find("img").attr("src", "../../images/person-center/collection.png");
				$(".collection").data("status", 1);
			} else{ 
				$(".collection").find("img").attr("src", "../../images/person-center/star.png");
				$(".collection").data("status", 0);
			} 
			if($.validateEmpty(data.volume)){
				$(".volume").text("成交量0次");	
			} else{
				$(".volume").text("成交量" + data.volume + "次");
			}
			
		} 
	});
	
	//联系客服
	$(".link-service").on("tap", function(){
		$.dialService();
	});
	
	$(".collection").on("tap", function(){
		var $this = $(this);
		var url = base.api_collection_collectionResource;
		var params = {};
		params.resourceId = carSourceId;
		var status = $this.data("status");
		params.status = status;
		$.postAjax(url, params, null, function(){
			if(status == 0){
				$this.find("img").attr("src", "../../images/person-center/collection.png");
				$this.data("status", 1);
				$.toast("收藏成功");
			} else{
				$this.find("img").attr("src", "../../images/person-center/star.png");
				$.toast("取消收藏成功");
				$this.data("status", 0);
			}
			var launchWebView = plus.webview.getLaunchWebview();
			mui.fire(launchWebView, "refresh");
		});
	});
	
	
	$(".offer").on("tap", function(){
		var $this = $(this);
		var status = $this.data("status");
		if(status != carSourceStatus.PendingOrder.value){
			$.toast("车源已经被接单,不能再次下单");
			return false;
		}
		var params = {};
		params.carSourceId = carSourceId;
		var url = base.api_order_orderIn;
		$.postAjax(url, params, null, function(){
			$.toast("下单成功");
			curWebView.reload(true);
		});
	});
	
}, false);