$(function(){
	
	//我是货主点击事件
	$("#select-role-ul").on("tap", "li", function(){
		var $this = $(this);
		var userType = $this.data("id");
		mui.openWindow({
			id:"setting-account.html",
			url:"setting-account.html",
			extras:{
				userType:userType
			}
		});
	});
	
	//上一步点击事件
	$(".prev-step").on("tap", function(){
		mui.back();
	});
	
	$("#mobile-phone,#verify-code-text").on("tap", function(){
		var domObj = $(this).data("domobj");
		var value = $(this).val();
		mui.openWindow({  
			id:"digital-keyboard.html",
			url:"../digital-keyboard/digital-keyboard.html",
			styles:{ 
				width:"100%",
				height:"50%",
				bottom:"0",
				background:"rgba(0,0,0,0.5)",
				zindex:99999
			},
			show:{  
				aniShow:"slide-in-bottom"
			},
			extras:{
				domObj:domObj,
				value:value
			}
		});
	});
	
	//密码输入事件
	$("#password").bind("input porpertychange", function(){
		var len = $(this).val().length;
		if(len > 0){
			var mobilePhone = $("#mobile-phone").val();
			var verifyCodeText = $("#verify-code-text").val();
			if(!$.validateEmpty(mobilePhone) && !$.validateEmpty(verifyCodeText)){
				$("#register-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
			} else{
				$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
		} else{
			$("#verify-code").css("color", "#929292").data("id", "0");
			$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
	
	//快速删除图标点击事件
	$("#fork-icon").on("tap", function(){
		$("#mobile-phone").val("");
		$("#verify-code").css("color", "#929292");
		$("#verify-code").data("id", "0");
		$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
	});
	
	//密码明文、密文切换事件
	$("#show-pwd").on("tap", function(){
		var $this = $(this);
		var id = $this.data("id");
		if(id == "off"){
			var _value = $this.prev().val(); 
			$this.prev().remove();
			$this.before("<input type='text' value='" + _value + "' id='password' placeholder='请设置密码' class='input-text'>");
			$this.find("img").attr("src", "../../images/register/show-on-pwd.png");
			$this.data("id", "on");
		} else{
			var _value = $this.prev().val(); 
			$this.prev().remove();
			$this.before("<input type='password' value='" + _value + "' id='password' placeholder='请设置密码' class='input-text'>");
			$this.find("img").attr("src", "../../images/register/show-off-pwd.png");
			$this.data("id", "off");
		}
	});
	
	//选择角色页面的关闭事件
	$("#closeImg").on("tap", function(){
		mui.back();
	});
	
});

document.addEventListener("plusready", function(){
	var prevWebView = plus.webview.currentWebview();
	var userType = prevWebView.userType;
	
	//获取验证码点击事件
	$("#verify-code").on("tap", function(){
		var $this = $(this);
		var id = $this.data("id");
		if(id == 1){
			var mobilePhone = $("#mobile-phone").val();
			if(!reg.phone.test(mobilePhone)){
				$.toast("手机号码格式不正确");
				$(this).data("id", "0");
				return false;
			} else{
				var params = {};
				params.mobilePhone = mobilePhone;
				params.smsType = "8";
				var url = base.api_send_sms;
				$.postAjax(url, params, null,function(){
					$(this).data("id", "0");
					var count = 60;
					var timer = setInterval(function(){
						$("#verify-code").text(count + "s后重发");
						count--;
						if(count == -1){
							$("#verify-code").text("获取动态码");
							$this.data("id", "1");
							clearInterval(timer);
						}
					}, 1000);
				}, function(){
					$.toast("验证码发送失败");
				});
			}
		}
	});
	
	
	//立即注册事件
	$("#register-btn").on("tap", function(){
		var params = {};
		params.userName = $("#mobile-phone").val();
		params.yzm = $("#verify-code-text").val();
		params.password = $("#password").val();
		params.userType = userType;
		var header = {'Content-Type':'application/json'};
		if(reg.phone.test(params.userName)){
				if(params.password.length < 6 || params.password.length > 12){
					$.toast("密码位数请保持在6到12位之间");
					return false;
				} else{
					params.password = md5($("#password").val());
					var url = base.api_register;
					$.postAjax(url, params, header,function(){
						$.toast("注册成功");
						var loginWebView = plus.webview.getWebviewById("login.html");
						if(loginWebView != null){
							loginWebView.show();						
						} else{
							mui.openWindow({
								id:"login.html",
								url:"../login/login.html"
							});
						}
					});
				}
		} else{
			$.toast("手机号码格式不正确");
		}
	});
	
	
	//选择角色页面的登录按钮和设置账号页面的登录按钮公用
	$("#login").on("tap", function(){
		var loginWebView = plus.webview.getWebviewById("login.html");
		if(loginWebView == null){
			mui.openWindow({
				id:"login.html",
				url:"../login/login.html"
			});	
		} else{
			loginWebView.show();	
		}
	});
}, false);

function loaded(){
	document.addEventListener("setDigital", function(event){
		$(event.detail.domObj).val(event.detail.value);
		if(event.detail.domObj == "#mobile-phone"){
			var len = event.detail.value.length;
			if(len > 0){
				$("#verify-code").css("color", "#2c68f2").data("id", "1");
				var verifyCodeText  =$("#verify-code-text").val();
				var password = $("#password").val();
				if(!$.validateEmpty(verifyCodeText) && !$.validateEmpty(password)){
					$("#register-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				} else{
					$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
				}
			} else{
				$("#verify-code").css("color", "#929292").data("id", "0");
				$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
		}  else if(event.detail.domObj == "#verify-code-text"){
			var len = event.detail.value.length;
			if(len > 0){
				var mobilePhone = $("#mobile-phone").val();
				var password = $("#password").val();
				if(!$.validateEmpty(mobilePhone) && !$.validateEmpty(password)){
					$("#register-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				} else{
					$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
				}
			} else{
				$("#verify-code").css("color", "#929292").data("id", "0");
				$("#register-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
		}
		
	});
}
