$(function(){
	//我要找车点击事件
	$(".find-car").on("tap", function(){
		/*mui.openWindow({
			id:"car-list.html",
			url:"html/car/car-list.html"
		});*/
		mui.openWindow({
			id:"find-car-source-search.html",
			url:"html/car/find-car-source-search.html"
		});
	});
	
	//我要找货点击事件
	$(".find-supply").on("tap", function(){
		/*mui.openWindow({
			id:"supply-list.html",
			url:"html/supply/supply-list.html"
		});*/
		
		mui.openWindow({
			id:"find-supply-search.html",
			url:"html/supply/find-supply-search.html"
		});
		
	});
	
	$(".ul-css").on("tap", "span", function(){
		var flag = $(this).data("flag");
		if(flag == false){
			mui.alert("该功能暂未开放");
		}
	});
	
	$(".sub-banner").on("tap", "span", function(){
		mui.alert("该功能暂未开放");
	});
});

function checkVersionInfo(){
	/*var url = base.api_versionInfo_findVersionInfo;
	var versionCode = $.getVersion();
	var systemType = $.getSystemType();
	var params = {};
	params.versionCode = versionCode;
	params.systemType = systemType;
	$.getAjax(url, params, null, function(result){
		var data = result.data;
		if(data != null && data.length > 0){
			
		}
	});*/ 
	
	mui.openWindow({
		id:"version-update.html",
		url:"version-update.html",
		styles:{
			top:"20%",
			left:"10%",
			width:"80%",
			height:"60%",
			background:"rgba(0,0,0,0.5)",
			zindex:99999
		}
	});
	
}


function initRecommend(){
	var token = $.getToken();
	if($.validateEmpty(token)){
		$(".un-login").show();
		$(".recommend-info").hide();
	} else{
		$(".un-login").hide();
		$(".recommend-info").show();
		var url = base.api_recommend_getRecommendInfo;
		$.getAjax(url, null, null, function(result){
			var data = result.data;
			$(".recommend-info").empty();
			if(data != null && data.length > 0){
				$.each(data, function(index, element){
					var $this = element;
					var html = "<li data-id='"+$this.id+"'>";
					html += "<div class='main-info'>";
					html += "<span class='float-left main-info-area'>";
					html += $this.begin_area_name;
					html += "<span class='mui-icon mui-icon-arrowthinright'></span>";
					html += $this.end_area_name;
					html += "</span>";
					html += "<span class='float-right main-info-price'>";
					var userType = $.getItem("userType");
					if(userType == 1){
						//货主
						html += $this.weight + "吨";
					} else{
						//承运商
						if($this.price == 0 || $this.price == null){
							html += "面议";
						} else{
							html += "￥<font size='5'>"+$this.price+"</font>";
						}
					}
					html += "</span></div>";
					html += "<div class='sub-info'>";
					html += "<span class='float-left main-info-message'>";
					if(userType == 1){
						html += $this.send_type_name + "/" + $this.car_type_name + "/" + $this.car_length + "米";	
					} else{
						html += $this.goods_name + "/" + $this.goods_type_name + "/" + $this.weight + "吨";
					}
					
					html += "</span>";
					html += "<span class='float-right main-info-time'>";
					html += $this.loading_time + "装车</span></div>";
					html += "<div class='footer'><label>随到随装</label><label>装车付款</label><label>急发</label></div>";
					$(".recommend-info").append(html); 
				});
			} else{
				$(".recommend-info").append("<li class='no-data'>暂无更多推荐数据</li>");
			}
		});
		
		
		$(".recommend-info").on("tap", "li", function(){
			var $this = $(this);
			var id = $this.data("id");
			var userType = $.getItem("userType");
			if(userType == 1){
				//货主
				mui.openWindow({
					id:"car-source-detail.html",
					url:"html/car/car-source-detail.html",
					extras:{ 
						carSourceId:id
					}
				});
			} else{
				//承运商
				mui.openWindow({ 
					id:"supply-detail.html",
					url:"html/supply/supply-detail.html",
					extras:{ 
						supplyId:id
					}
				});
			}
		});
		
	}
}

function loaded(){
	window.addEventListener("refresh", function(event){
		initRecommend();
	}, false);
}
