document.addEventListener("plusready", function(){
	$(".login-btn").on("tap", function(){
		var loginWebView = plus.webview.getWebviewById("login.html");
		if(loginWebView != null){
			loginWebView.show();
		} else{
			mui.openWindow({
				id:"login.html",
				url:"../../html/login/login.html"
			});
		}
	});
	
	var userType = $.getItem("userType");
	if(userType == 1){
		//货主
		$(".my_car_source").remove();
		$(".offer").remove();
	} else if(userType == 2){
		//承运商
		$(".my_supply").remove();
	}
	
	var token = $.getToken();
	if($.validateEmpty(token)){
		$(".login-container").show();
	} else{
		$(".person-info").show();
		initPerson();
	}
	
	//清除token
	$("#clearToken").on("tap", function(){
		$.setToken("");
		$.toast("清除成功");
		var currentWebView = plus.webview.currentWebview();
		currentWebView.reload(true);	//强制不使用缓存
	});
}, false);


function initPerson(){
	var url = base.api_enterprise_findEnterpriseInfo;
	$.getAjax(url, null, null, function(result){ 
		var data = result.data;
		if(data != null){
			if(!$.validateEmpty(data.userHead)){
				$(".person-info").find("img").attr("src", imgBaseURL + data.userHead);	
			}
			$(".enterprise-name").text(data.name);
			$(".integral").find("span").text(data.integral);
		}
	});
	
}



$(function(){
	$(".person-info").on("tap", function(){
		mui.openWindow({
			id:"person-data.html",
			url:"person-data.html"
		});
	});
});
